Skip to main content
`Ctrl`+`K`

# skbio.metadata.SampleMetadata.__eq__

SampleMetadata.__eq__(other)

  Determine if this metadata is equal to another.

  `Metadata` objects are equal if their IDs, columns (including column names, types, and ordering), ID headers, and metadata values are equal.

  Parameters:
    other Metadata

      Metadata to test for equality.

  Returns:
    bool

      Indicates whether this `Metadata` object is equal to other.

  See also

  `__ne__`